using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("身份证")]
    public partial class T_FM_PERSON_IDCARD_FILE : MesEntityBase
    {
        /// <summary>
        /// 同步标识符
        /// </summary>
        [Description("同步标识符")]
        [DataFieldLength(200)]
        public string CODE { get; set; }

        [Description("人员ID")]
        [DataFieldForeignKey("Nav_Person", "Nav_PersonIDCardFiles")]
        public Guid PERSON_ID { get; set; }=Guid.Empty;
        [Description("导航：用户表")]
        public virtual T_FM_PERSON Nav_Person { get; set; }

        [DataFieldForeignKey("Nav_ImgFile")]
        [Description("图片文件ID")]
        public Guid IMG_FILE_ID { get; set; }


        [Description("导航：图片文件表")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }

        /// <summary>
        /// 排序号
        /// </summary>
        [Description("排序号")]
        public int NUM { get; set; } = 0;
    }
}
